Baha'i Incubator 7.x-1.x xxxx-xx-xx
===================================


Baha'i Incubator 7.x-1.18 2021-05-12
====================================
updated core to 7.80


Baha'i Incubator 7.x-1.17 2021-01-20
====================================
updated core to 7.78


Baha'i Incubator 7.x-1.16 2021-01-16
====================================
update reply-to patch (111702) for 7.77
update core and config


Baha'i Incubator 7.x-1.15 2019-05-13
====================================
updated core to 7.73


Baha'i Incubator 7.x-1.14 2019-05-13
====================================
removed unsupported noggin module
removed unsupported hybridauth module
updated core and contrib modules


Baha'i Incubator 7.x-1.12 2019-05-13
====================================
Updated core and makefiles for 1.12


Baha'i Incubator 7.x-1.11 2019-04-16
====================================
Updated makefiles for 1.11
Updated views to 7.3.22
Updated core to 7.65
Simplified update function


Baha'i Incubator 7.x-1.9 2019-02-22
===================================
Fixed update function breaks for sites with some recaptcha settings


Baha'i Incubator 7.x-1.8 2019-02-22
===================================
Updated makefiles for 1.8
Added captcha to prevent automated spam
Updated core and contrib modules


Baha'i Incubator 7.x-1.7 2018-08-02
===================================
Fixed contact form From and Reply-To headers
Removed unsupported mandrill module
Updated base theme
Updated modules


Baha'i Incubator 7.x-1.6 2018-05-09
===================================
Updated core
Updated three modules
Updated core
Updated google analytics
Removed outdated patches for recently released modules
Updated contributed modules


Baha'i Incubator 7.x-1.4 2017-01-26
===================================
Updated captcha module
Removed references module
Updated contributed modules
Added captcha and recaptcha modules
Added social_media_links module


Baha'i Incubator 7.x-1.3 2017-06-26
===================================
Updated media to allow linking to pages
Updated media module and maintained patches
Added honeypot module to stop account spam
Fixed bahai_incubator_update_7137 typo
Fixed use reply-to instead of from to avoid spam classification
Updated core and contrib modules


Baha'i Incubator 7.x-1.2 2017-05-15
===================================
Added honeypot module
Updated media and contrib modules
Fixed permissions for new media and file entity modules


Baha'i Incubator 7.x-1.1 2017-04-19
===================================
Fixed possible broken media upgrades from 1.x on Aegir
Removed unsupported references module
Updated to media 2.x, file_entity 2.x, private 2.x
Added file_entity module
Updated core and contributed modules


Baha'i Incubator 7.x-1.0 2017-03-06
===================================
Added socialfield module and fontello library
Added better logic for determining if the site is Baha'i
Updated contrib modules
Fixed upgrade problems when incubator_mapping is installed but disabled


Baha'i Incubator 7.x-1.0-beta47 2017-02-20
==========================================
added update function to disable openlayers in preparation for removing modules
fixed small errors in incubator content review module
reverted to workbench moderation 1.x and added tests for content review module
updated core and contrib modules
updated workbench_moderation to 1.x and fixed incubator_content_review to match
added selectize, entityreference, entityreference_autocreate
fixed display of vimeo videos on https sites
switched mapping functionality from openlayers to leaflet
fixed php notices on modules page
added v3 of mailchimp library


Baha'i Incubator 7.x-1.0-beta45 2016-10-10
==========================================
added permission for administrators to administer fields
fixed ctools 1.10 breaking themes
fixed php notices for incubator specific modules
updated core and contrib modules
fixed hide unnecessary realname mail warnings from requirements page
fixed remove calendar subscription link if the calendar is empty
fixed events settings page does not allow option for disabling secondary view
fixed map settings does not display map
added views content cache for all default views
fixed events appeared twice when grouping taxonomy field had been hand sorted
removed markerly implementation
removed configuration settings for deprecated activities view
added option to not popup events but rather go direct to page
added option to disable tours link per account


Baha'i Incubator 7.x-1.0-beta44 2016-06-18
==========================================
updated changelog and makefiles
fixed colorbox patch not applying
updated core and config module versions
fixed calendar decoration makes events inaccessible on holy days
added term_search and punctuation_preprocessor
updated build make file for beta43


Baha'i Incubator 7.x-1.0-beta43 2016-04-10
==========================================
fixed hybridauth makefile breaks packaging for distributions
fixed images still 40% width on small screens
updated core and contributed modules


Baha'i Incubator 7.x-1.0-beta41 2016-03-03
==========================================
updated build makefile and changelog for beta41
updated core and contributed modules


Baha'i Incubator 7.x-1.0-beta40 2016-02-22
==========================================
updated build makefile for beta40
fixed brittle simpletests
removed incubator_email_service module - use site_verify
updated core and contrib modules
removed email services from incubator modules list page
fixed wsod on logged in users who can view admin menu but cannot edit menus
fixed irregular display of activities and local recent stories on locality pages
fixed map not appearing on communities page
fixed css for responsive images in blocks and body fields
added js fix for responsive embedded videos from youtube and vimeo, etc.
Allow linking to contact page with category
Updated media_youtube to 3.0


Baha'i Incubator 7.x-1.0-beta39 2015-07-04
==========================================
Updated core and ctools modules
Added test file for incubator_content_review
Updated readme file for incubator_content_review


Baha'i Incubator 7.x-1.0-beta38 2015-07-04
==========================================
build makefile and changelog for beta38
fixed drupal-org.make entries for media modules checked out from git
reverted to workbench_moderation 1.3
added registry rebuild to avoid upgrade problems with redirect module on Aegir
updated location to 3.7-beta1
fixed sorting of regular event view
fixed horrible typos in incubator_tours module
updated core and contrib modules
fixed user emails for sites with i18n but not i18n_variable
fixed all Baha'i Holy Days for 50 years
fixed imminent Baha'i Holy Days
fixed distro_update formatting issue for site_verify


Baha'i Incubator 7.x-1.0-beta37 2015-05-09
==========================================
build makefile and changelog for beta37
add site_verify to main install and remove custom module
fixed admin menu for editors
fixed incubator_private to match new private module functionality
updated ckeditor
updated drupal-org-core.make with new robots.txt patch
updated drupal-org.make


Baha'i Incubator 7.x-1.0-beta36 2015-03-06
==========================================
updated core and module versions


Baha'i Incubator 7.x-1.0-beta35 2015-03-06
==========================================
updated incubator prograde theme and fixed order and name of palette colors
fixed editor walkthrough when content review module is enabled
implemented alter hook in incubator_tours module
fixed mobile menu display when full-width header enabled in standard theme
updated webform
enable incubator_tours module on existing sites
fixed colorbox button image overflow
fixed too many messages when incubator modules enabled
updated module versions
added setup wizard for administrators using joyride tours
added joyride for tours
added view-grouped class to grouped views
fixed event popups height in Safari
added ui feedback on events settings form
fixed non-functional options for address grouping on regular events view
added functional tests for events module and fixed errors


Baha'i Incubator 7.x-1.0-beta34 2015-01-16
==========================================
fixed grouping for regular events
fixed menu link handling for calendar and upcoming events
removed date_repeat_instance module, since it breaks event views
fixed update hook cannot use function from .module file
fixed tests broken by new functionality
removed empty text from upcoming events view
removed menu link handling for activity group taxonomy
fixed incubator_events_update_7112 causes primary key duplication in some cases
fixed activity group submenu items still being created on install
revert date to 2.9-alpha1
updated module versions
updated to skinr_lite beta4
fixed workbench view and block for authors (removed node access checks)
fixed activity groups menu items should be disabled by default
refactored events functionality re: #2405615
fixed show taxonomy term pages as a view
fixed sidr messing up theme settings page
fixed display of moderation messages to anon visitors when node has no author
fixed display of workbench block to anon visitors in unusual situations


Baha'i Incubator 7.x-1.0-beta33 2014-11-30
==========================================
updated incubator_prograde theme to beta7, fixing borked page for non-admins
fixed build makefile to use drupal-org-core.make
added robots.txt patch to drupal-org-core.make file
added drupal-org-core.make to satisfy distro_update module
fixed catastrophic slowdown caused by imagecache_actions module


Baha'i Incubator 7.x-1.0-beta32 2014-11-21
==========================================
updated build make file
added readmorecontrol, menu_expanded, distro_update to new and existing sites
added [version] to all makefile projects for distro_update module
updated skinr_lite and incubator_prograde with new releases
fixed skinr lite chooser should be enabled on install
updated core to 7.34 and updated contributed modules
updated core to 7.33
added distro_update module
added options for showing submitted info in search results
added settings for showing submitted info on node view
added readmorecontrol module to remove read more links
fixed standard theme css for mobile menu
fixed make menu items expanded by default
added menu_expanded module to makefile and install profile
removed overlay from automatically enabled modules
fixed sidr config menu on admin pages in seven theme
fixed sidr menu for mobile devices and added sidr admin menu
fixed incubator modules page for themes other than seven
fixed google font css urls for https pages
updated patch for redirect module


Baha'i Incubator 7.x-1.0-beta31 2014-08-15
==========================================
updated drupal core to 7.32
fixed slow calendar view when events repeat 1000 times


Baha'i Incubator 7.x-1.0-beta30 2014-08-07
==========================================
updated build-bahai_incubator.make
patched openlayers.make to hopefully work with d.o
updated metatag to 1.4
fixed #2353829, remove examples from external libraries
updated date_ical to 3.3
updated openlayers library url
updated webform to 4.1
updated metatag to 1.3
updated skinr_lite version
fixed calendar link color in incubator_standard_theme
updated theme version
updated library urls
updated module versions
fixed drupal core version in drupal-org.make file
refactored system emails for content editors and authors
added log messages for content creators and editors
added prev/next navigation for content editors
fixed thumbnail image size not editable
set default theme to prograde
added skinr_lite permission for administrators
update build file to use beta27


Baha'i Incubator 7.x-1.0-beta27 2014-08-07
==========================================
updated build file using working hybridauth patch
updated metatag to rc2
updated core to 7.31 in build file
added distribution name and exclusive flag to info file
fixed build makefile unknown project type


Baha'i Incubator 7.x-1.0-beta26 2014-08-01
==========================================
updated build makefile for beta26
updated prograde theme to beta3
added centering css to incubator node map
updated build makefile
updated date module
updated incubator_prograde to beta2
reverting to google analytics 1.4 to give site admins more time to update
updated to drupal 7.30 and fixed robots.txt patch
added prograde theme
updated skinr_lite and fixed preview for incubator default theme
updated module and core versions
added incubator noggin header selector support based on theme .info file
fixed logo link title in Omega theme
added general print style sheet for the Incubator
fixed #2189109, added printable calendar
changed video metatags to use media file field tokens patch
added proper metatags for gallery pages
added proper metatags for video pages


Baha'i Incubator 7.x-1.0-beta25 2014-05-22
==========================================
fixed plupload library
fixed #2272559, views 7.x-3.8 causes calendar not to display
added optional photo galleries page and rss feed


Baha'i Incubator 7.x-1.0-beta24 2014-05-15
==========================================
fixed problems with disabled site and upgrades
updated core and contributed module versions
fixed anonymous contact permissions when site disabled
fixed errors on disabled site pages with no main menu
fixed #2213731, make a wrapper for core contact module
fixed #2190603, menus should not show on 403 page
fixed anonymous view media permission on install
fixed announcement expiration with content moderation
fixed #2190605, automatic alias forced with moderation
fixed #2189759, announcements not unpublished on expiration
fixed use user:name-raw token in account emails


Baha'i Incubator 7.x-1.0-beta23 2014-04-02
==========================================
fixed upgrade oversight to enable ical feeds on calendar views


Baha'i Incubator 7.x-1.0-beta22 2014-04-02
==========================================
fixed social link url on home page
fixed authors cannot upload images without edit media permission
removed admin_alert
added views rss and date ical modules with iCalcreator library
fixed #1171148 and #1400738: subscribe using iCal and hide repeating events
updated all module versions


Baha'i Incubator 7.x-1.0-beta21 2014-02-24
==========================================
added descriptive text for user roles
fixed #2185625 media browser broken for video nodes
removed admin_alert as a dependency
improved theming for mobile sidebar
by dnotes: fixed 2178555 main image field not showing on form
by dnotes: added basic metatag support to incubator_social
added views descriptions for incubator social
fixed offset facebook button


Baha'i Incubator 7.x-1.0-beta20 2014-01-17
==========================================
added mailchimp module and api to makefiles
fixed hide problematic menu items from new site administrators
fixed openlayers icons on incubator_main map
fixed incubator_social settings form
added nodeformcols to makefile
updated drupal core to 7.26
fixed openlayers using remote code
moved hybridauth, openlayers to makefiles
added mobile menu with sidr library
added socialite.js library to drupal-org.make
added sidr library to drupal-org.make
updated redirect module patch
updated core and contrib modules
fixed make private checkbox easier to find
fixed workbench modules should be disabled with incubator_content_review
added workbench moderation block info for authors
added archived status for workbench moderation
improved default theming for gallery images field
updated date module version
2161701 captions for images
added metatag module to make file


Baha'i Incubator 7.x-1.0-beta19 2013-11-26
==========================================
fixed bad spacing on socialite widgets
fixed custom variables creation on module enable
updated all module versions
fixed stop adding links to page if social widgets are disabled
fixed social widgets on teaser setting form field
added robotstxt and fixed site disabled functionality
added date module patch for multiple repeat selections
added menu rebuild whenever incubator modules are enabled or disabled
fixed errors in incubator social install and admin pages
added socialite.js library to the repository
added patch for date module to make end date into end time
updated location to 3.1
updated drupal core version
removing incubator_social dependency on hybridauth
added basic integration of social sharing links
added Markerly integration
by dnotes: added configure links to modules page
fixed typo in analytics module
added module for email service signup (Zoho / Google Apps)
added incubator_analytics module
updated backup_migrate module and removed patch
by dnotes: added #1833078 site disabled by default on install
added option for single line post info (submitted)
added single node map block to incubator_mapping
fixed backup_migrate automated backup not working on aegir server
updated module versions


Baha'i Incubator 7.x-1.0-beta18 2013-08-28
==========================================
by dnotes: fixed role creation to allow for multiple content types
by dnotes: fixed localities term link alter finding other vocabularies terms
by dnotes: changed to no features auto-installed with option for server config
by dnotes: added helper function for determining if site is Baha'i
by dnotes: fixed news page title should not automatically say Baha'i
updated module versions
updated location_chooser to 1.3
added account creation settings to incubator_social admin page
fixed error viewing user page after incubator_social install


Baha'i Incubator 7.x-1.0-beta17 2013-06-19
==========================================
fixed wonky calendar title mobile displays
added 7 color schemes
fixed export color scheme to work with spacing
fixed placement errors in theme's preview pane
fixed main menu items to have line height 1.1em
added wireframing color scheme to theme
added 9 typography selections
fixed gallery thumbnail links should point to images
added menu rebuild on install of incubator_social
updated module versions
added hybridauth library since it is not yet on the whitelist
added settings page for incubator_social
added first draft of incubator_social module
added very basic css for tables
added modules rules, entity, and hybridauth for social logins
fixed warning about blocks assigned to non-existent region on install
fixed errors when field_localities is not set on a loc node
fixed maintenance mode warning on incubator_events install
added option to show year on post submitted date
fixed theme css for full-width menu bar and header
fixed errors caused by private content module on modules page
temporary fix for user 1 receiving editing mail for node 1
by dnotes: added private content #1459236
by dnotes: #1975664 fixed header image shown in preview even when set to none
by dnotes: fixed editing workflow settings form cannot save settings
by dnotes: fixed module uninstall pages breakage
by dnotes: fixed erroneous menu items created on install of events module
by dnotes: added private module to makefile


Baha'i Incubator 7.x-1.0-beta16 2013-04-19
==========================================
by dnotes: fixed #1459228 and rewrote theme to accommodate theme settings
by dnotes: updated module versions
by dnotes: added proj4js module dependency
by dnotes: fixed incubator_mapping to work with updated openlayers module
by dnotes: fixed #1957146 improper display of unpublished localities
by dnotes: added alpha sort localities unless they have been manually sorted
by dnotes: fixed #1957166 show all localities on map
by dnotes: updated openlayers map version
by dnotes: setting uid for node 1 to avoid warnings
by dnotes: #1898412 refactored all views with 3.0 api and separated mod logic
by dnotes: fixed weird shrinking map icons on select
by dnotes: fixed blue text in openlayers popups
by dnotes: #1461816 refactored activities view and terms


Baha'i Incubator 7.x-1.0-beta15 2013-03-18
==========================================
by dnotes: fixed css issue with main image on node forms
by dnotes: added editing workflow and workbench integration
by dnotes: added basic css for blockquotes and lists
by dnotes: fixed image display on taxonomy term pages
by dnotes: added option to transliterate page titles
by dnotes: updated core to 7.21


Baha'i Incubator 7.x-1.0-beta14 2013-03-04
==========================================
by dnotes: fixed positioning of messages block in default theme
by dnotes: added Baha'i calendar
by dnotes: fixed #1933430 home link has wrong colors
by dnotes: fixed colorbox path and settings
by dnotes: fixed #1832900 set defaults for promoted nodetypes
by dnotes: #1819818 fixed circular redirects with redirect module patch
by dnotes: fixed #1395710 allow headings in filtered html
by dnotes: fixed #1919286 display announcements block when module enabled
by dnotes: fixed #1899884 use 12-hour clock for dates
by dnotes: fixed #1919266 hide submitted by for events
by dnotes: fixed #1919290 arrow positioning on slideshow views
updated module versions for five modules and colorbox plugin
by dnotes: fixed css for new colorbox plugin
by dnotes: fixed #1919276 don't require a location on all nodes
by dnotes: fixed #1919276 location chooser enabled by default with incubator


Baha'i Incubator 7.x-1.0-beta13 2013-01-23
==========================================
by dnotes: fixed #1882362 location rss feeds
updated module and core versions


Baha'i Incubator 7.x-1.0-beta12 2012-12-21
==========================================
by dnotes: updated module and core versions, removed galleryformatter


Baha'i Incubator 7.x-1.0-beta11 2012-11-28
==========================================
by dnotes: fixed errors in header image uploads
by dnotes: fixed user menu width on bartik theme
by dnotes: fixed secondary menu sizes
by dnotes: #1826370 change color for active-trail menu items
by dnotes: changed homepage view to include only promoted items
by dnotes: fixed error on gallery teaser display
by dnotes: refactored theme and block enabling in install profile
by dnotes: toward #1833892 clean up administration menu
by dnotes: fixed gmap popup #1670092, openlayers cache #1447428, & tooltips
by dnotes: fixed stying of map layer switcher
by dnotes: fixed #1446118 event map views not displaying all repeating events
by dnotes: toward #1833892, cleanup admin menu, added features admin form
by dnotes: cleaned up incubator folder
by dnotes: fixed feature admin page for #1833892
by dnotes: disabled core blog module to avoid conflict with incubator blog
by dnotes: fixed errors when installing facilites module for second time
by dnotes: added admin for configuring front page; prereq for #1832900
by dnotes: added admin options for promoting node types; toward #1832900
by dnotes: added front page slideshow views
by dnotes: added link to media images on large slideshow
by dnotes: added responsive embedded videos
by dnotes: fixed recent stories view
by dnotes: added core activities slideshow
by dnotes: reorganized admin menus and permissions; fixed problems of last try
by dnotes: fixed menu items falling to second line on smaller screen widths
by dnotes: added colorbox slideshow for galleries and removed galleryformatter
by dnotes: updated all modules and drupal core
by dnotes: fixed default install enabling too many modules
by dnotes: fixed contextual links on view pages
by dnotes: added default_dark theme for openlayers map
by dnotes: updated openlayers map


Baha'i Incubator 7.x-1.0-beta10 2012-10-19
==========================================
by dnotes: added incubator_standard theme
by dnotes: hid login link on login and password reset pages
by dnotes: added noggin module for header uploads
by dnotes: added customization module for noggin
by dnotes: updated core and modules
by dnotes: fixed event info field rename to time and place
by dnotes: fixed search block coding error - wrong delta
by dnotes: fixed 24hr date field entry


Baha'i Incubator 7.x-1.0-beta9 2012-09-07
=========================================
by dnotes: added ability to change image sizes
by dnotes: #1741528 added video functionality
by dnotes: added field export to array text
by dnotes, djones1844: added basic tests for incubator functionality
by dnotes: #1619668 notify site admins of new features with each release
by dnotes: #1447286 notify site admins on account creation


Baha'i Incubator 7.x-1.0-beta8 2012-08-28
=========================================
by dnotes: updated module versions
by dnotes: #1708546 synchronized drush make files


Baha'i Incubator 7.x-1.0-beta7 2012-08-01
=========================================
by dnotes: updated modules for 7.x-1.0-beta7 release
by dnotes: added river of news for home page
by dnotes: #1691648 added site-wide displays for gallery teasers
by dnotes: security update for location module
by dnotes: fixed node form for galleries
by dnotes: #1703312 added image styles for gallery images
by dnotes: #1703316 added title field for gallery images
by dnotes: #1703318 added max file size for gallery images
by dnotes: fixed permissions on gallery image uploads


Baha'i Incubator 7.x-1.0-beta6 2012-07-27
=========================================
by dnotes: Updated module versions owing to security release


Baha'i Incubator 7.x-1.0-beta5 2012-07-18
=========================================
by dnotes: fixed menu item lag for calendar and event list
by dnotes: Fixed events admin page to use existing link titles when available
by dnotes: #1672770 Fixed grouping on activities fields
by djones1844: added image gallery functionality
by dnotes: reorganized make files
by dnotes: #1434466 fixed unwarranted taxonomy terms appearing
by dnotes: #1171160 added basic website activity report
by dnotes: #1459230 added calendar view of incubator events
by dnotes: fixed delayed admin menu display - see #442560


Baha'i Incubator 7.x-1.0-beta4 2012-02-29
=========================================
by dnotes: updated drupal-org.make file for beta4 release
by dnotes: reorganized menus to new system
by dnotes: #1452390 added option for news page title
by dnotes: #1452572 removed location header and fixed image float clearance
by dnotes: added permissions for editor and administrator
by dnotes: #1394590 fixed locality terms being deleted
by dnotes: #1450994 Added default home page
by dnotes: fixed permissions on install
by dnotes: #1441464 removed localities field to incubator_localities
by dnotes: #1446142 removed dependencies on mapping modules
by dnotes: added mollom and google_analytics to makefile
by dnotes: #1441446 removed core activity functions to separate module.


Baha'i Incubator 7.x-1.0-beta3 2012-02-16
===================================
by dnotes: added remove format button to wysiwyg setup
by dnotes: #1441764 Wrong icons on map
by dnotes: #1400736 Discourage editing taxonomy terms
by dnotes: #1400732 Fix event node edit form and add nodeformcols auto-reset
by dnotes: #1395702 Remove location header on node views
by dnotes: #1394578 Administrator role does not have appropriate privileges
by dnotes: #1395710 Allowed tags for Filtered HTML text format


Baha'i Incubator 7.x-1.0-beta2 2011-12-27
=========================================
by dnotes: commit changelog for 7.x-1.0-beta2
by dnotes: added robotstxt module
by dnotes: fixed errors on mapping settings and moved to admin/config/incubator
by dnotes: updated drupal-org.make file to d7.10, views 3.0, date-RC1, etc.
by dnotes: added translation section in INSTALL.txt
by dnotes: added login menu link
by dnotes: fixed rss feeds (patched location georss feeds)
by dnotes: changed field_event_date type to datestamp
by dnotes: updated upcoming events path to events/upcoming
by dnotes: updated block locations
by dnotes: updated modules for .make file
by dnotes: added js to unlink taxonomy term link for active page
by dnotes: added localities links for news, blogs, events, communities views
by dnotes: added activities views
by dnotes: updated events and facilities views to group by day
by dnotes: updated README.txt
by dnotes: fixed block placement for main content
by dnotes: updated location module to latest dev
by dnotes: added date to drush make files
by dnotes: added facility events view
by dnotes: added incubator_icon image style
by dnotes: fixed age for junior youth groups
by dnotes: added transliteration of pathauto paths
by dnotes: added views blocks for core activities
by dnotes: fixed page visibility for upcoming events block
by dnotes: fixed feed for event block
by dnotes: fixed block placement system
by dnotes: fixed redundant location display on locality nodes
by dnotes: added views for localities
by dnotes: added time display for upcoming events page view
by dnotes: fixed date formats for event views
by dnotes: fixed rss, urls and blocks on existing views
by dnotes: fixed main image float on forms
by dnotes: added admin settings with image float form.
by dnotes: added media and wysiwyg support
by dnotes: fixed default views for facilities and localities
by dnotes: added css for wysiwyg editor
by dnotes: updated todos
by dnotes: added media-stripped summary field formatters


Baha'i Incubator 7.x-1.0-beta1 2011-11-14
=========================================
by dnotes: converting to Drupal 7 and abandoning 6.x

